Donate to the B3 fund!

"even a small donation helps!"
Donate with PayPal!
In our support boards we aim to provide support for the B3 core in its current state. Older releases of B3 are NOT supported. Check our front page for the latest version. You may post feature requests in our General Discussion board. Modifications and Hacks of the core B3 code are NOT supported.
Before you ask for support: [ Read the Support Instructions ] - More info: [ Full Support Disclaimer ]

Author Topic: Need Help Installing Latest B3  (Read 1238 times)

Offline Gamer69

  • Jr. Member
  • **
  • Posts: 26
Need Help Installing Latest B3
« on: March 19, 2015, 04:04:49 AM »
Hi,
I've downloaded this version of B3 and having trouble running it  
b3-1.10.0.dev355-20150318.zip 18-Mar-2015 09:44 1.1M B3 Python sources


It says this error. http://i.imgur.com/dIA5eVk.png?1

At first I though there must be a problem with my config b3.xml,
Then I've made a new config by BigBrotherBot Config File Generator. But same problem.
Then I've tested that config with the older version of b3 that I was using b3-1.9.2
Working without any problem. So whats wrong with the latest b3-1.10.0 ?
Do I need to modify something ?
« Last Edit: March 19, 2015, 04:08:28 AM by Gamer69 »

Offline 82ndAB.Bravo17

  • Dev. Team
  • Hero Member
  • *
  • Posts: 2628
Re: Need Help Installing Latest B3
« Reply #1 on: March 19, 2015, 04:49:52 AM »
Try typing 'pip install python-dateutil' in a command prompt. (without the 's). You may need to open the command prompt in your python27/scripts folder if it is not in your PATH. (This assumes you are using Windows, I'm afraid I have no idea about Linux)

If that doesn't work you may need to install pip for a version of python less that 2.7.9, or install Python 2.7.9. See is there is a file pip.exe in your python27/scripts folder.

Offline Gamer69

  • Jr. Member
  • **
  • Posts: 26
Re: Need Help Installing Latest B3
« Reply #2 on: March 19, 2015, 09:05:22 AM »
Try typing 'pip install python-dateutil' in a command prompt. (without the 's). You may need to open the command prompt in your python27/scripts folder if it is not in your PATH. (This assumes you are using Windows, I'm afraid I have no idea about Linux)

If that doesn't work you may need to install pip for a version of python less that 2.7.9, or install Python 2.7.9. See is there is a file pip.exe in your python27/scripts folder.
I'm using windows 7 64bit
What do you mean by "You may need to open the command prompt in your python27" ?
Do you mean I need to run this file http://i.imgur.com/xFkCcjE.png
and execute the (pip install python-dateutil)command in this like windows command prompt ?

Offline Fenix

  • Dev. Team
  • Hero Member
  • *
  • Posts: 999
    • GitHub
Re: Need Help Installing Latest B3
« Reply #3 on: March 19, 2015, 11:22:16 AM »
If you run B3 on windows I suggest you to use the win32 standalone version so you don't have to deal with missing libraries, different python version etc...

 


Rate this page +1 at Google Search

anything